// msg包主要通信协议注册
package msg

import (
	"github.com/name5566/leaf/network/protobuf"
)

// 使用 Protobuf 消息处理器
var Processor = protobuf.NewProcessor()

func init() {
	// 主命令、子命令绑定对应的msg
	Processor.Register(HEART, CS_REQUEST, &CS_Heartbeat{}) // 心跳
	Processor.Register(USER, CS_LOGIN, &CS_User_Login{})   // 登录
}
